<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_9808001" . "2c02491a" . "0c0cf9af" . "5c977f3c" . "7" => base64_decode("U2NoZW" . "1hIGZp" . "bGU6IA" . "=="), "_98587fc18" . "8f350370f0" . "3d54707c58" . "7e1" => base64_decode("aXNfc" . "mVhZG" . "FibGU" . "="), "_afa8b786a0282957" . "bc5e6c82eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNraXBwaW5nIHNjaGVtYS" . "BjcmVhdGlvbg=="), "_4e804c3c65" . "9ffa9270945" . "8081742376b" => base64_decode("Q3JlYXRpbmcg" . "c2NoZW1h"), "_c1bf7b7ebd1ab8431a" . "8561d762db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZC4gQ2Fu" . "bm90IHVwZGF0ZQ=="), "_bc2b2cbee209b1" . "cad0873479a8fd9" . "21a" => base64_decode("L3NjaGVtYS9zY2hlbWEuc" . "Ghw"), "_edc5e56d0d74937a" . "f4aa39a12b4e62f4" => base64_decode("MD" . "Au" . "MD" . "A="), "_e608e5b5c4c3" . "4a67ba97ef84c" . "1e16199" => base64_decode("Jw" . "=="), "_3c4298ad118f035493" . "87eda8af859750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpbn" . "N0YWxsZWQ="), "_0a441bddac7bebad7a98" . "58a0dfadcd90" => base64_decode("MDEuMDE" . "="), "_09fd03941a048e1f28e8231" . "89007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZW5" . "0IHZlcnNpb24gaXMgJw=="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3c4298ad118f03549387eda8af" . "859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c1bf7b7ebd1ab8" . "431a8561d762db1" . "895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bc2b2cbee209b1c" . "ad0873479a8fd921" . "a"];
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_98587fc188f35037" . "0f03d54707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_98080012c02491a0c0cf9af5c977f3" . "c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4e804c3c659ffa9" . "2709458081742376" . "b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0a441bddac7bebad7a9858a0dfa" . "dcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_09fd03941a048e" . "1f28e823189007c" . "ddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e608e5b5c4c34a6" . "7ba97ef84c1e1619" . "9"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_afa8b786a0282957b" . "c5e6c82eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_edc5e56d0d74937af4aa39a12b4e6" . "2f4"]);
        }
    }
}